echo off
IF %1&==& GOTO Erreur
IF %2&==& GOTO Erreur
IF %0==INSTA GOTO :lecture
Cls
echo  
echo 	THE INSTALATION NEED 1.6 MBYTES ON YOU HARDDISK !     
echo 	                                               
echo 
pause

md %2\ISHAR
copy %0.BAT %2\ISHAR\INSTA.BAT
%2
cd ISHAR
INSTA %1 %2 
goto :fin


:lecture
echo 
:rec1
echo Insert Disk A into your drive  %1
pause
if not exist %1\main.io goto :rec1
if exist %1\mcave.io goto :troisp
xcopy %1\*.*
if errorlevel 2 goto :erreur2


echo 
:rec2
echo ***** Insert Disk B into your drive %1
pause
if not exist %1\plaine.io goto :rec2
xcopy %1\*.*
if errorlevel 2 goto :erreur2


echo 
:rec3
echo ***** Insert Disk C into your Drive %1
pause
if not exist %1\mcave.io goto :rec3
xcopy %1\*.*
if errorlevel 2 goto :erreur2


echo 
:rec4
echo ***** Insert Disk C into your Drive %1
pause
if not exist %1\ville.io goto :rec4
xcopy %1\*.*
if errorlevel 2 goto :erreur2
goto :reussi



:troisp
xcopy %1\*.*
if errorlevel 2 goto :erreur2

echo 
:rec5
echo ***** Insert Disk b into your Drive %1
pause
if not exist %1\ville.io goto :rec5
xcopy %1\*.*
if errorlevel 2 goto :erreur2
goto :reussi


:reussi
echo 
echo     Installation finshed.
echo     type runme to start the game.
echo 
pause
Goto Fin


:erreur2
echo 
echo	*****    *****
echo	***** Installation incorrect *****
echo 
pause
goto :fin


:Erreur
echo 
echo       INSTALL Source_Drive Destination_Drive
echo       Ex: INSTALL A: C:
echo 
:Fin
